File gnome-disk-utility.changes of Package gnome-disk-utility

-------------------------------------------------------------------
Sun Sep 29 10:16:01 UTC 2013 - zaitor@opensuse.org

- Update to version 3.10.0:
  + Lower liblzma dep to latest stable (5.0.5) instead of dev
    (5.1.0).
  + Set NoDisplay=true for Disk Image writer and Disk Image Mounter
    apps.
  + Fix autogen and configure.
  + Updated translations.
- Remove V=1 from make as it only fills up the obs buildlog to no
  use, debugging is done locally anyway.

-------------------------------------------------------------------
Wed Aug 21 06:46:47 UTC 2013 - dimstar@opensuse.org

- Update to version 3.9.0:
  + Use new udisks 2.1.1 API (if available) to show better
    partition descriptions.
  + utils: make unfuse_path() replace $HOME with ~.
  + Disks: Add new --restore-disk-image option.
  + Don't use two lines in device selection combobox.
  + Use fallocate(2) rather than posix_fallocate(3).
  + Use right size when calculating error-percentage when creating
    disk image.
  + Don't unmount CD/DVD discs before creating a disk image of
    them.
  + Verify that the file passed to --restore-disk-image is a
    regular file.
  + Add support for restoring XZ compressed disk images.
  + Remove application/x-raw-disk-image{,-xz-compressed} MIME
    types.
  + Fix default folder for disk images.
  + Type problems prevent compilation with GCC 4.8 on i686.
  + Bugs fixed: bgo#695346.
  + Updated translations.
- Add pkgconfig(liblzma) BuildRequires: new dependency.
- Drop gdu-fix-build-gcc-4_8.patch: fixed upstream.
- Lower the upstream specified dependency on liblzma from
  5.1.0(alpha) to version 5.0(stable branch) (bgo#706471).

-------------------------------------------------------------------
Fri Jul 19 11:00:36 UTC 2013 - zaitor@opensuse.org

- Add gdu-fix-build-gcc-4_8.patch, fix build with gcc 4.8. 

-------------------------------------------------------------------
Wed May 29 06:20:15 UTC 2013 - dimstar@opensuse.org

- Update to version 3.8.2:
  + GduWindow: fix ensure_unused() method to pass the right object
    in callbacks.

-------------------------------------------------------------------
Mon Mar 18 08:40:48 UTC 2013 - dimstar@opensuse.org

- Update to version 3.8.0:
  + Bump dependency of udisks to 2.1.0 (stable release).
  + Updated translations.

-------------------------------------------------------------------
Mon Feb 18 08:32:49 UTC 2013 - dimstar@opensuse.org

- Update to version 3.7.2:
  + Add a --format-device command line option.
  + Add a --xid command line option for the format dialog
  + Resolve backing crypto device when selecting object.
  + utils: move code to ensure unused volume to gduutils.c
  + Add HighContrast icons.
  + GduVolumeGrid: properly reset flags.
  + Convey free space for mounted volumes.
  + Updated translations.

-------------------------------------------------------------------
Tue Jan  8 19:14:53 UTC 2013 - dimstar@opensuse.org

- Update to version 3.7.1:
  + Reword ATA SMART failure notification
  + Show notification when RAID array is degraded
  + Also show spinner in device tree if a MD-RAID scrub is in
    progress
  + Convey data rate and remaning time for MD-RAID sync operations
  + Improve checking whether a sync op is underway
  + Make it possible to start/stop data scrubbing operations from
    the drive menu
  + Avoid hiding widgets only to show them again
  + Add a "Power Off" icon for drives that can be powered off
  + Update keywords for Disks application
  + Alert the user by playing a sound the first time a read error
    happens
  + Show warning dialog if read errors occured during disk image
    creation
  + Reword text in the dialog shown if read errors happened during
    image creation
- Changes from version 3.7.0:
  + Initial MD-RAID support
  + Show array size and unify some formatting routines
  + Show "N required (M detected)" if not all RAID members are
    available
  + Update SMART dialog
  + Bugs fixed: bgo#683772
  + Updated translations.
- Add new BuildRequires:
  + pkgconfig(libcanberra-gtk3): needed for audible warnings.
  + pkgconfig(dvdread): for the new DVD image support.
  + pkgconfig(gnome-settings-daemon): New generic dependency.
  + pkgconfig(libnotify): needed for notifications.

-------------------------------------------------------------------
Sat Oct  6 12:18:19 UTC 2012 - zaitor@opensuse.org

- Update to version 3.6.1:
  + Add window title to Create Partition dialog.
  + Don't show application launcher for Disk Image Mounter.
  + Updated translations.

-------------------------------------------------------------------
Fri Sep 21 17:57:14 UTC 2012 - dimstar@opensuse.org

- Update to version 3.6.0:
  + Relicense from LGPLv2+ to GPLv2+
  + If creating an image from iso9660/udf, suggest Disc_Label.iso
    as the filename
  + Remember the last-used directory for disk images
  + Also update disk image directory when attaching disk images
  + Don't force file types when selecting a folder
  + Make Create/Restore Disk Image dialogs non-modal
  + Try opening the device file directly when creating images of
    CD/DVD discs
  + Factor out common code and put it in a static library
  + Use libgdu in gnome-disk-image-mounter
  + Don't default to NTFS unless the mkntfs(8) command exists
  + Remove css bits for now
  + Store directory of last image file chosen, not the full path
  + Use set_current_folder_uri(), not set_current_folder()
  + Fix problems with overlapping partitions in disk images
  + Handle gtk_file_chooser_get_current_folder_uri() returning NULL
  + Add window title to various dialogs.
- Add pkgconfig(gmodule-2.0) BuildRequires: new checked dependency.
- Drop gnome-disk-utility-overflow.patch: fixed upstream.
- Drop gnome-common BuildRequires and call to gnome-autogen.sh: We
  don't carry any patches anymore.

-------------------------------------------------------------------
Fri Jul 27 19:18:13 UTC 2012 - dimstar@opensuse.org

- Update to version 3.5.3:
  + about-dialog: use gnome-disks for the icon, not palimpsest
  + Add a settings dialog for power management and acoustic levels
  + Add a "Wake-up from Standby" menu item
  + Add back Benchmark dialog
  + Add erase option when formatting, show job progress and allow
    job cancelation
  + Add support for ATA secure erase and non-cancelable jobs
  + disk-image-mounter: leave mounting to gnome-shell
  + Don't allow standby on SSD drives
  + Don't show sub-minute precision for restoring/creating disk
    images
  + Don't show WWN if we already show a serial
  + Handle partition setups with overlapping partitions
  + Make volume grid look right (grey, not blue) when selected and
    unfocused
  + Port from libgnome-keyring-1 to libsecret-1
  + Refine handling of overlapping partitions
  + Rescan device when we're done restoring a disk image onto it
  + Show "Create Disk Image" even if free space on a drive is
    selected
  + Show estimated time remaining when a job is pending
  + Show sample size and number of samples for benchmarks
  + Show vendor recommended AAM level and use it as a default
  + Use GtkLevelBar widget for conveying passphrase strength.
- Replace pkgconfig(gnome-keyring-1) with pkgconfig(libsecret-1),
  following upstreams switch to libsecret.
- Add gnome-disk-utility-overflow.patch: fix bufferoverflow.
- Add gnome-common BuildRequires and call to gnome-autogen.sh:
  Needed as above patch touches the build system.

-------------------------------------------------------------------
Thu Jun  7 16:09:37 UTC 2012 - dimstar@opensuse.org

- Update to version 3.5.2:
  + Disks: SMART dialog improvements
  + GduPasswordStrenghWidget: use libpwquality
  + Updated translations.
- Add pkgconfig(pwquality) BuildRequires: new dependency.
- Add pkgconfig(gnome-keyring-1) BuildRequires: configure checks
  for it.
- Add docbook-xsl-stylesheets and xsltproc BuildRequires.

-------------------------------------------------------------------
Thu May 10 09:33:35 UTC 2012 - dimstar@opensuse.org

- Update to version 3.5.1:
  + Fix build with older udisk version
  + If drive is on another seat, show "Connected to another seat"
  + Check keyring for LUKS passphrase and put it in passphrase
    entry if available
  + Add a "Auto-clear" switch for loop devices
  + Add "Disk Image Mounter" utility and associate with
    application/x-cd-image
  + Updated translations.

-------------------------------------------------------------------
Mon Apr 23 08:08:41 UTC 2012 - vuntz@opensuse.org

- Update to version 3.4.1:
  + Updated translations.

-------------------------------------------------------------------
Mon Mar 26 15:30:34 UTC 2012 - vuntz@opensuse.org

- Update to version 3.4.0:
  + Initialize gettext support so i18n actually works.
  + Small theming fix.
  + Updated translations.

-------------------------------------------------------------------
Tue Mar 13 17:43:00 UTC 2012 - vuntz@opensuse.org

- Update to version 3.3.93:
  + Use "Size", not "Disk Size"
  + Show WWN for a disk/drive, if available
  + Fix a couple of internationalization problems
  + Reword potentially confusing description of SMART attribute
  + Various interface improvements to fstab and crypttab dialogs
  + Updated translations.

-------------------------------------------------------------------
Mon Feb 27 14:41:48 UTC 2012 - vuntz@opensuse.org

- Update to version 3.3.92:
  + Improve fstab and crypttab dialogs.
  + Use units in application provided CSS to shut up recent GTK+
    warning
  + Fix bug when updating negative checkbutton options
  + Use proper capitalization for "Edit mount options..." menu item
  + Updated translations.

-------------------------------------------------------------------
Wed Feb  8 12:10:59 UTC 2012 - vuntz@opensuse.org

- Update to version 3.3.91:
  + Add application menu.
  + Include "nosuid,nodev" when proposing options for a new fstab
    entry.
  + Add nofail checkbox when editing entries.
  + Several other code changes.
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.

-------------------------------------------------------------------
Sat Jan 21 09:25:29 UTC 2012 - vuntz@opensuse.org

- Update to version 3.3.90:
  + Complete rewrite, using udisks2.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Completely change packaging because of the complete rewrite:
  + Add pkgconfig() BuildRequires: gio-unix-2.0, udisks2.
  + Drop pkgconfig() BuildRequires: avahi-ui-gtk3, dbus-glib-1,
    glib-2.0, gnome-keyring-1, libatasmart, libnautilus-extension,
    libnotify, udisks, unique-3.0, x11.
  + Add intltool BuildRequires.
  + Drop gdbm-devel, gnome-doc-utils-devel, gtk-doc BuildRequires.
  + Drop libgdu0, libgdu-gtk0, libgdu-devel, libgdu-gtk-devel
    subpackages: the libraries don't exist anymore.
  + Rename libgdu-lang subpackage to gnome-disk-utility-lang.
  + Change udisks Requires to udisks2, since this what is used now.
  + Add gnome-disk-utility-lang Recommends.
  + Stop passing now non-existing --disable-scrollkeeper option to
    configure.
  + Rewrite summary and description.

-------------------------------------------------------------------
Wed Oct 26 16:04:42 UTC 2011 - badshah400@gmail.com

- Modified categories in .desktop file so that it is grouped with 
  "System" applications in the desktop menus (bnc#714333) 

-------------------------------------------------------------------
Sat Jul  9 11:41:16 CEST 2011 - dimstar@opensuse.org

- Update to version 3.0.2:
  + Revert back to using HBox and VBox
  + Change build system to not avoid deprecated functions.
- Changes from version 3.0.1:
  + bgo#612872: wrong base-10 prefix KB (correct is kB)
  + Add support for DeviceAutomountHint
  + Add --enable-strict and default to this for developer builds
  + Add Unity to OnlyShowIn
  + Replacing hbox/vbox with box
  + Updated translations.

-------------------------------------------------------------------
Tue Apr  5 13:56:36 UTC 2011 - fcrozat@novell.com

- Update to version 3.0.0:
  + Use the right directory for the nautilus extension
+ Drop fix-nautilus-extension-path.patch: fixed upstream.
+ Add Settings category to palimpsest.desktop, via call to
  %suse_update_desktop_file.

-------------------------------------------------------------------
Tue Mar 29 12:13:42 UTC 2011 - fcrozat@novell.com

- Update to version 2.91.7:
  + bgo#645174: New icons
  + Use more accurate categories in the desktop file
  + Make the S.M.A.R.T and benchmark dialogs work better with the
    shell.
  + Updated translations.
- Add fix-nautilus-extension-path.patch: ensure the right version
  is used for nautilus extension path.

-------------------------------------------------------------------
Thu Mar  3 16:46:09 CET 2011 - fcrozat@novell.com

- Update to version 2.91.6:
  + Port to GTK+ 3.
  + Use non-NULL display for launch context
  + Updated translations.
- Change BuildRequires to pkgconfig() ones:
  + old ones: dbus-1-glib-devel, glib2-devel, libatasmart-devel,
    libgnome-keyring-devel, libnotify-devel, libunique-devel,
    nautilus-devel, udisks-devel.
  + pkgconfig() ones: avahi-ui-gtk3, dbus-glib-1, glib-2.0,
    gnome-keyring-1, gtk+-3.0, libatasmart, libnautilus-extension,
    libnotify, udisks, unique-3.0, x11.
- Remove explicit Requires of devel packages in devel subpackages:
  they will automatically be added the pkgconfig() way.

-------------------------------------------------------------------
Sun Feb 13 14:25:10 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
  + %icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.

-------------------------------------------------------------------
Fri Dec 17 10:35:05 CET 2010 - vuntz@opensuse.org

- Update to version 2.32.1:
  + Require libnotify 0.6.1

-------------------------------------------------------------------
Tue Sep 28 19:11:11 UTC 2010 - aj@suse.de

- Change lang package Requires to Recommends since it is not
  mandatory at runtime.

-------------------------------------------------------------------
Wed Sep 15 19:48:22 CEST 2010 - dimstar@opensuse.org

- Update to version 2.32.0:
  + Compile against latest gtk+.
  + Make the Apply button in edit-name dialogs default.
  + Use accessor functions instead direct access.
  + Nuke gtk-doc usage for now.
  + Updated translations.

-------------------------------------------------------------------
Tue Mar 30 22:44:02 CEST 2010 - vuntz@opensuse.org

- Update to version 2.30.1:
  + bgo#613004 - Crash in gdu_adapter_get_object_path at
    gdu-adapter.c:288
  + rh#560336 - Rendering broken for some part of application
- Changes from version 2.30.0:
  + Fix typo when figuring out if remote access is enabled
  + Handle loop devices
  + Rudimentary support for loop files
  + Don't include non-working Help menu item
  + bgo#606663 - Change default chunk size to match mdadm (512KiB)
  + Use gtk_widget_has_focus() instead of deprecated
    GTK_WIDGET_HAS_FOCUS()
  + Unify mix color handling
  + Fix theming for the volume grid widget respect
  + String-related fixes.
  + Add StartupNotify=true to the desktop file

-------------------------------------------------------------------
Tue Mar 23 15:16:25 UTC 2010 - dimstar@opensuse.org

- Remove en@shaw locale on openSUSE <= 11.2.

-------------------------------------------------------------------
Wed Feb 24 15:39:17 CET 2010 - dimstar@opensuse.org

- Update to version 2.29.90:
  + A new UI
  + For a full list of changes please see NEWS.
- Change dependencies from DeviceKit-disks to udisks.
- BuildRequires gdbm-devel and libavahi-glib-devel.


-------------------------------------------------------------------
Wed Dec 23 10:33:47 CET 2009 - vuntz@opensuse.org

- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.

-------------------------------------------------------------------
Sat Nov 14 21:12:37 CET 2009 - vuntz@opensuse.org

- Update to version 2.28.1:
  + Turn some warnings that are not fatal into debug messages
  + Use stock delete and apply buttons
  + Fix library translations
  + Use translated string for button label
  + Translate file system types
  + Forgotten string
  + Nautilus extension: ref and unref objects correctly
  + Don't crash when presentable has no device
  + Updated translations.

-------------------------------------------------------------------
Fri Oct  2 11:24:56 CEST 2009 - vuntz@opensuse.org

- Update to version 2.28.0:
  + Improved UI for ATA SMART dialogs
  + Fix string issues (bgo#592006, bgo#593381)
  + Updated translations.
- Add libatasmart-devel BuildRequires.

-------------------------------------------------------------------
Wed Sep  9 18:08:29 CEST 2009 - vuntz@opensuse.org

- Update to version 0.5:
  + Fix strings for translation.
  + bgo#591170 – fix smartmoontools URL
  + Add support for new :drive-can-spindown property
  + Start writing a dialog to set up Software RAID
  + More detail in the TreeView and incremental work on the Create
    RAID dialog
  + First usable version of the Create RAID Array dialog
  + Fix a crasher when determining unallocated on unactivated
    drives
  + Fix up drive name for non-USB SD drives
  + grid: Clarify property comment
  + Add API for new :device-presentation-nopolicy property in DKD
  + Use g_mount_unmount_with_operation() in the format tool
  + Drop polkit references from pc files
  + Updated translations.
- Remove PolicyKit-devel and PolicyKit-gnome-devel Requires from
  devel packages.

-------------------------------------------------------------------
Sun Jul 26 00:42:41 CEST 2009 - captain.magnus@opensuse.org

- Update to version 0.4:
  + Rip out PolicyKit support and bump version after release
  + Check for DeviceKit-disks pkg-config file so the build can fail
    earlier
  + Add support for new DriveDetach() method and :drive-can-detach
    property
  + Expose a way to detach devices
  + Catch up with latest DeviceKit-disks API where
    :drive-requires-eject is gone
  + fdo#584962 - palimpsest SIGTRAPs on unknown flag
  + fdo#581179 - Don't expose branding to the user
  + fdo#582881 - Typos in original strings
  + fdo#585332 - Wrong spelling "The mininum size of the element"
    in original
  + fdo#585384 - "Blank" - adjective or verb
  + fdo#585388 - Translation comment needed "Operations should go
    here"
  + fdo#585392 - Spelling error "incomptible"
  + fdo#581841 - String typos
  + Use themed icons for Zip and Jaz drives
  + Rework formatting tool so it's simpler and easier to use
  + Use new API to add UI for checking/repairing Linux MD RAID
    arrays
  + Use GtkInfoBar to show job progress
  + Port from SexyUrlLabel to GtkLabel
  + Fix a bug where GduLinuxMdDrive didn't emit ::job-changed
    signals
  + Remove gdu-section-job.[ch] from POTFILES.in since they no
    longer exist
  + Use AM_SILENT_RULES if available
  + Don't show markup in the UI
  + Translation updates.
- Remove PolicyKit-devel, PolicyKit-gnome-devel, libsexy-devel and
  libxml2-devel from BuildRequires.

-------------------------------------------------------------------
Sat Jun 13 02:49:34 CEST 2009 - mboman@suse.de

- New packages


openSUSE Build Service is sponsored by